Package com.scriptel.proscript

## Class Display

- java.lang.Object
- - com.scriptel.proscript.Display

-     public final class Display
      extends java.lang.Object

  This class contains static information regarding the display of a ScripTouch device.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `adjustAspect​(AdjustedCoordinate coordinate)` | This method adjusts an already range corrected AdjustedCoordinate so that the aspect ratio matches that of the aspect ratio reported by the device.
    `int` | `getCaptionLength()` | Gets the maximum length of a button caption.
    `int` | `getColorDepth()` | Gets the color depth of the screen (if equipped) in bits.
    `int` | `getHeight()` | Gets Either the height in pixels of the screen (if equipped) or an abstract number representing the vertical component of the aspect ratio of the device digitizer (if no screen).
    `int` | `getRegionCount()` | Gets the number of supported regions in this device.
    `int` | `getTextHeight()` | Gets the height of a single character in pixels.
    `int` | `getTextWidth()` | Gets the width of a single character in pixels.
    `int` | `getWidth()` | Gets either the width in pixels of the screen (if equipped) or an abstract number representing the horizontal component of the aspect ratio of the device digitizer (if no screen).
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### adjustAspect

          public void adjustAspect​(AdjustedCoordinate coordinate)

      This method adjusts an already range corrected AdjustedCoordinate so that the aspect ratio matches that of the aspect ratio reported by the device.
      Parameters:
        `coordinate` - Coordinate to adjust.

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### getWidth

          public int getWidth()

      Gets either the width in pixels of the screen (if equipped) or an abstract number representing the horizontal component of the aspect ratio of the device digitizer (if no screen).
      Returns:
        the width

    - #### getHeight

          public int getHeight()

      Gets Either the height in pixels of the screen (if equipped) or an abstract number representing the vertical component of the aspect ratio of the device digitizer (if no screen).
      Returns:
        the height

    - #### getColorDepth

          public int getColorDepth()

      Gets the color depth of the screen (if equipped) in bits.
      Returns:
        The color depth of the screen in bits.

    - #### getTextWidth

          public int getTextWidth()

      Gets the width of a single character in pixels.
      Returns:
        Width of a character in pixels.

    - #### getTextHeight

          public int getTextHeight()

      Gets the height of a single character in pixels.
      Returns:
        Height of a character in pixels.

    - #### getRegionCount

          public int getRegionCount()

      Gets the number of supported regions in this device.
      Returns:
        The number of regions in the device.

    - #### getCaptionLength

          public int getCaptionLength()

      Gets the maximum length of a button caption.
      Returns:
        Maximum length of a button caption.